diff --git a/daemon/automount.c b/daemon/automount.c
index 91f4d15..654c558 100644
--- a/daemon/automount.c
+++ b/daemon/automount.c
@@ -252,7 +252,7 @@ static int umount_offsets(struct autofs_
 			continue;
 		}
 
-		warn(ap->logopt, "umount offset %s", key);
+		msg("umount offset %s", key);
 
 		/*
 		 * We're in trouble if umounting the triggers fails.
@@ -578,7 +578,7 @@ int umount_multi(struct autofs_point *ap
 
 		sched_yield();
 
-		warn(ap->logopt, "unmounting dir = %s", mptr->path);
+		msg("unmounting dir = %s", mptr->path);
 
 		if (umount_ent(ap, mptr->path, mptr->fs_type)) {
 			warn(ap->logopt, "could not umount dir %s",
@@ -792,7 +792,7 @@ int do_expire(struct autofs_point *ap, c
 	if (ret == 0)
 		msg("expired %s", buf);
 	else
-		warn(ap->logopt, "couldn't complet expire of %s", buf);
+		msg(ap->logopt, "couldn't complet expire of %s", buf);
 
 	tree_free_mnt_tree(mnts);
 
@@ -1662,6 +1662,7 @@ #ifdef _POSIX_THREAD_ATTR_STACKSIZE
 	}
 #endif
 
+	/* Just so we get a startup banner */
 	msg("Starting automounter version %s, master map %s",
 		version, master_list->name);
 
